<?php

/**
 * @file
 *
 * Pyramid by M
 */

use Pyramid\Component\ClassLoader\ClassLoader;
use Pyramid\Component\Logger\Logger;

class_loader();

/**
 * Զ
 */
function class_loader() {
    static $loader;    
    if (!isset($loader)) {
        $dir = dirname(__DIR__);
        require_once $dir . '/Pyramid/Component/ClassLoader/ClassLoader.php';
        $loader = new ClassLoader();
        $loader->registerNamespace('Pyramid', $dir);
        $loader->register();
    }
    return $loader;
}

/**
 * Variable
 */
function variable() {
    static $object;
    if (!isset($object)) {
        $object = new Variable();
    }
    return $object;
}

/**
 * Variable
 */
class Variable {
    public function get($key, $default = null) {
        return function_exists('variable_get') ? variable_get($key, $default) : $default;
    }
    public function set($key, $value) {
        if (function_exists('variable_set')) {
            variable_set($key, $value);
        }
        return $this;
    }
}

/**
 * Logger
 *
 * @param string $target
 */
function logger_config($target, $config = array()) {
    return Logger::setConfig($target, $config);
}

/**
 * ȡLogger
 *
 * @param string $target
 */
function logger($target = 'default') {
    return Logger::getLogger($target);
}
